- Qt 5.0
- Qt 5.0.0 Reference Documentation

# TodoProgress QML Type

The TodoProgress element contains information about the progress of a todo item. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- finishedDateTime : date
- percentageComplete : int
- status : enumeration

## Signals

- onDetailChanged()

## Detailed Description

The following fields are supported:

- TodoProgress.FieldStatus
- TodoProgress.FieldPercentage
- TodoProgress.FieldFinishedDateTime

See also QOrganizerTodoProgress.

## Property Documentation

finishedDateTime : date

This property holds the date time value which contains the date and time at which the todo item was completed.

percentageComplete : int

This property holds the value which contains the current completion percentage of the todo item.

status : enumeration

This property holds the value which describes the current completion status of the todo item. The value can be one of:

- TodoProgress.NotStarted
- TodoProgress.InProgress
- TodoProgress.Complete

## Signal Documentation

onDetailChanged()

Note: The corresponding handler is `onOnDetailChanged`.

See also Detail::onDetailChanged.